Last Comment Bug 756425 - Intermittent test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting ...
: Intermittent test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical st...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Event Handling (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla18
Assigned To: Vladimir Vukicevic [:vlad] [:vladv]
:
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-05-18 05:09 PDT by Ed Morley [:emorley]
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
fix by driving refreshdriver directly (2.81 KB, patch)
2012-10-04 13:52 PDT, Vladimir Vukicevic [:vlad] [:vladv]
vladimir: review+
Details | Diff | Splinter Review

Description Ed Morley [:emorley] 2012-05-18 05:09:23 PDT
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2012-05-18 00:06:33 PDT for push e8ebc8f1825e

slave: talos-r3-w7-039

https://tbpl.mozilla.org/php/getParsedLog.php?id=11855998&tree=Mozilla-Inbound

{
16977 INFO TEST-START | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul
[Parent 380] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2931
[Parent 380] WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 357
--DOCSHELL 10672FD0 == 15 [id = 348]
[Parent 380] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2931
[Parent 380] WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 357
[Parent 380] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2931
[Parent 380] WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 357
--DOCSHELL 1C07EE00 == 14 [id = 349]
[Parent 380] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2931
[Parent 380] WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 357
[Parent 380] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2931
[Parent 380] WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 357
[Parent 380] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2931
[Parent 380] WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 357
[Parent 380] WARNING: Unable to retrieve the tooltip node document.: file e:/builds/moz2_slave/m-in-w32-dbg/build/layout/xul/base/src/nsXULTooltipListener.cpp, line 598
++DOMWINDOW == 46 (1BE7E008) [serial = 1602] [outer = 092D7440]
[Parent 380] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2931
[Parent 380] WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 357
--DOCSHELL 0C8A30F8 == 13 [id = 341]
--DOCSHELL 1B1EB760 == 12 [id = 344]
--DOCSHELL 1B1E4648 == 11 [id = 345]
--DOCSHELL 0C8A2C28 == 10 [id = 342]
--DOCSHELL 0C8A3830 == 9 [id = 343]
16978 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta -100 eventType DOMMouseScroll hasPixels false - -1 should equal -1
16979 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' horizontal starting 2 delta -100 eventType DOMMouseScroll hasPixels false - 2 should equal 2
16980 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType DOMMouseScroll hasPixels false - 1 should equal 1
16981 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' horizontal starting 2 delta 100 eventType DOMMouseScroll hasPixels false - 2 should equal 2
16982 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta -100 eventType DOMMouseScroll hasPixels true - 0 should equal false
16983 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' horizontal starting 2 delta -100 eventType DOMMouseScroll hasPixels true - 2 should equal 2
16984 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType DOMMouseScroll hasPixels true - 0 should equal false
16985 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' horizontal starting 2 delta 100 eventType DOMMouseScroll hasPixels true - 2 should equal 2
16986 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta -100 eventType MozMousePixelScroll hasPixels false - -1 should equal -1
16987 INFO TEST-PASS | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' horizontal starting 2 delta -100 eventType MozMousePixelScroll hasPixels false - 2 should equal 2
16988 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
}
Comment 1 Treeherder Robot 2012-05-20 18:51:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11907341&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2012-05-20 17:33:31
slave: talos-r3-w7-029

16988 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/highlighter/test/browser_inspector_highlighter.js | transparent veil box width matches dimensions of element (no zoom) - Got 964, expected 22
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/highlighter/test/browser_inspector_highlighter.js | transparent veil box height matches dimensions of element (no zoom) - Got 38, expected 22
Comment 2 Treeherder Robot 2012-05-20 18:52:14 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11907341&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2012-05-20 17:33:31
slave: talos-r3-w7-029

16988 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/highlighter/test/browser_inspector_highlighter.js | transparent veil box width matches dimensions of element (no zoom) - Got 964, expected 22
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/highlighter/test/browser_inspector_highlighter.js | transparent veil box height matches dimensions of element (no zoom) - Got 38, expected 22
Comment 3 Treeherder Robot 2012-05-22 10:34:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11953347&tree=Firefox
Rev3 WINNT 6.1 mozilla-central debug test mochitest-other on 2012-05-22 09:13:01
slave: talos-r3-w7-055

16988 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
Comment 4 Treeherder Robot 2012-05-25 19:42:46 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12088178&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2012-05-25 18:25:22
slave: talos-r3-w7-008

16987 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
Comment 5 Treeherder Robot 2012-05-28 11:05:00 PDT
mccr8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12135334&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try debug test mochitest-other on 2012-05-28 09:39:40
slave: talos-r4-snow-080

16339 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType DOMMouseScroll hasPixels false - got 0, expected 1
Comment 6 Treeherder Robot 2012-06-05 04:14:17 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12379644&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-06-05 03:30:54
slave: talos-r3-xp-031

16884 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta -100 eventType MozMousePixelScroll hasPixels false - got 0, expected -1
Comment 7 Treeherder Robot 2012-06-06 10:13:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12423337&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2012-06-06 08:45:00
slave: talos-r3-w7-065

17047 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
Comment 8 Treeherder Robot 2012-06-19 10:03:42 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=12795537&tree=Fx-Team
Rev3 WINNT 5.1 fx-team debug test mochitest-other on 2012-06-19 08:31:39
slave: talos-r3-xp-029

17122 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
Comment 9 Treeherder Robot 2012-06-19 20:24:02 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12811391&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-06-19 18:38:28
slave: talos-r3-xp-038

17122 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_461743.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_461743.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/browser/components/sessionstore/test/browser_461743_sample.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_461743.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/browser/components/sessionstore/test/browser_461743_sample.html
Comment 10 Treeherder Robot 2012-06-20 01:13:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12816721&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-06-19 22:37:29
slave: talos-r3-xp-075

17122 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
Comment 11 Treeherder Robot 2012-07-03 23:53:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13214765&tree=Profiling
Rev3 WINNT 5.1 profiling opt test mochitest-other on 2012-07-03 20:30:38
slave: talos-r3-xp-036

17160 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta -100 eventType MozMousePixelScroll hasPixels false - got 0, expected -1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_354894.js | Did not restore, as undoCloseWindow() was last called - Got 3, expected 1
Comment 12 Treeherder Robot 2012-07-06 20:29:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13305105&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test mochitest-other on 2012-07-06 17:04:09
slave: talos-r4-snow-015

17158 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType DOMMouseScroll hasPixels false - got 0, expected 1
17164 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta -100 eventType MozMousePixelScroll hasPixels false - got 0, expected -1
Comment 13 Treeherder Robot 2012-07-10 09:04:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13392968&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora debug test mochitest-other on 2012-07-10 07:34:39
slave: talos-r3-xp-044

16931 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
Comment 14 Treeherder Robot 2012-07-23 15:47:35 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13783047&tree=Mozilla-Beta
Rev3 WINNT 6.1 mozilla-beta debug test mochitest-other on 2012-07-23 13:35:42
slave: talos-r3-w7-071

16941 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
Comment 15 Treeherder Robot 2012-07-27 01:50:32 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13900529&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test mochitest-other on 2012-07-27 00:08:57
slave: talos-r4-lion-020

17246 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType DOMMouseScroll hasPixels false - got 0, expected 1
17252 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta -100 eventType MozMousePixelScroll hasPixels false - got 0, expected -1
Comment 16 Treeherder Robot 2012-09-05 08:26:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=14978687&tree=Mozilla-Beta
Rev3 WINNT 5.1 mozilla-beta debug test mochitest-other on 2012-09-05 04:43:39
slave: talos-r3-xp-062

18422 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | mouse-scroll of 'richlistbox' vertical starting 2 delta 100 eventType MozMousePixelScroll hasPixels false - got 0, expected 1
Comment 17 Treeherder Robot 2012-09-06 00:15:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15003513&tree=Firefox
Rev3 WINNT 5.1 mozilla-central debug test mochitest-other on 2012-09-05 19:49:37
slave: talos-r3-xp-023

17282 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
17284 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
17286 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
17288 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
17290 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected -1
17292 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 2 lineOrPageDelta 1 aDeltaMode 1 - got 0, expected 1
17294 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected 1
Comment 18 Treeherder Robot 2012-09-10 12:56:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15107956&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-09-10 11:16:40
slave: talos-r3-xp-022

17226 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
17228 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
17230 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
17232 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
17234 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected -1
17236 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 2 lineOrPageDelta 1 aDeltaMode 1 - got 0, expected 1
17238 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected 1
Comment 19 Treeherder Robot 2012-09-12 12:58:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15169381&tree=Mozilla-Aurora
Rev3 WINNT 6.1 mozilla-aurora debug test mochitest-other on 2012-09-12 11:25:01
slave: talos-r3-w7-007

17487 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
17489 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
17491 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
17493 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
17495 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected -1
17497 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 2 lineOrPageDelta 1 aDeltaMode 1 - got 0, expected 1
Comment 21 Treeherder Robot 2012-09-26 22:03:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15577030&tree=Services-Central
Rev3 WINNT 5.1 services-central debug test mochitest-other on 2012-09-26 18:22:25
slave: talos-r3-xp-090

17729 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
17731 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
17733 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
17735 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
34061 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/widget/tests/test_bug478536.xul | Test timed out.
Comment 22 Treeherder Robot 2012-09-28 08:14:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15630716&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-09-28 05:34:27
slave: talos-r3-xp-019

17896 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
17898 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
17900 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bfcache.js | an unexpected uncaught JS exception reported through window.onerror - TypeError: element is undefined at chrome://browser/content/debugger-controller.js:1356
Comment 23 Treeherder Robot 2012-09-29 21:33:07 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=15674560&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-09-29 19:28:18
slave: talos-r3-xp-044

17915 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
17917 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
17919 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
17921 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
17923 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected -1
34247 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/widget/tests/test_bug478536.xul | Test timed out.
Comment 24 Treeherder Robot 2012-09-30 22:52:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15693827&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-09-30 20:54:54
slave: talos-r3-xp-089

17919 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
17921 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
17923 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
17925 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
Comment 25 Treeherder Robot 2012-10-01 09:37:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15706195&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-10-01 07:37:38
slave: talos-r3-xp-017

17919 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bfcache.js | an unexpected uncaught JS exception reported through window.onerror - TypeError: element is undefined at chrome://browser/content/debugger-controller.js:1355
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-searching-07.js | Test timed out
Comment 26 Treeherder Robot 2012-10-04 02:50:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=15805161&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-10-04 00:26:37
slave: talos-r3-xp-057

18041 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
18043 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
18045 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
18047 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
18049 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected -1
Comment 27 Treeherder Robot 2012-10-04 02:52:18 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=15805161&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-10-04 00:26:37
slave: talos-r3-xp-057

18041 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
18043 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
18045 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
18047 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
18049 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected -1
Comment 28 Vladimir Vukicevic [:vlad] [:vladv] 2012-10-04 13:52:48 PDT
Created attachment 668162 [details] [diff] [review]
fix by driving refreshdriver directly

This fixes this test for me in a pretty solid way; ehsan r+'d over my shoulder.
Comment 29 Ed Morley [:emorley] 2012-10-04 14:18:48 PDT
Thank you for looking at this :-)
Comment 30 Treeherder Robot 2012-10-04 23:32:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15833524&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-10-04 20:42:21
slave: talos-r3-xp-087

18027 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
18029 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/widget/tests/test_wheeltransaction.xul | Exited with code -1073741819 during test run
PROCESS-CRASH | chrome://mochitests/content/chrome/widget/tests/test_wheeltransaction.xul | application crashed (minidump found)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 3620 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 31 Treeherder Robot 2012-10-04 23:55:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=15834380&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2012-10-04 21:17:19
slave: talos-r3-w7-083

18147 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
18149 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
18151 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
18153 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected -1
18155 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 2 lineOrPageDelta 1 aDeltaMode 1 - got 0, expected 1
Comment 32 Treeherder Robot 2012-10-05 04:41:14 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=15838849&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-10-05 01:58:34
slave: talos-r3-xp-074

18032 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected -1
18034 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 1 aDeltaMode 0 - got 0, expected 1
18036 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta 32 lineOrPageDelta 0 aDeltaMode 0 - got 0, expected 1
18038 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta -1 aDeltaMode 1 - got 0, expected -1
18040 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_mousescroll.xul | testRichListbox(richlistbox): vertical, starting 5 delta -2 lineOrPageDelta 0 aDeltaMode 1 - got 0, expected -1
Comment 33 Vladimir Vukicevic [:vlad] [:vladv] 2012-10-05 08:00:47 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/4e4f65c5f43b
Comment 34 Ed Morley [:emorley] 2012-10-06 12:51:35 PDT
https://hg.mozilla.org/mozilla-central/rev/4e4f65c5f43b

Note You need to log in before you can comment on or make changes to this bug.